Subject: [MMUSIC] I-D Action:draft-ietf-mmusic-rfc2326bis-23.txt

From: [email-masked]
Date: Mon, 8 Mar 2010 14:00:02 -0800 (PST)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiparty Multimedia Session Control Working Group of the IETF.

	Title           : Real Time Streaming Protocol 2.0 (RTSP)
	Author(s)       : H. Schulzrinne, et al.
	Filename        : draft-ietf-mmusic-rfc2326bis-23.txt
	Pages           : 291
	Date            : 2010-03-08

This memorandum defines RTSP version 2.0 which obsoletes RTSP version
1.0 which is defined in RFC 2326.

The Real Time Streaming Protocol, or RTSP, is an application-level
protocol for setup and control of the delivery of data with real-time
properties.  RTSP provides an extensible framework to enable
controlled, on-demand delivery of real-time data, such as audio and
video.  Sources of data can include both live data feeds and stored
clips.  This protocol is intended to control multiple data delivery
sessions, provide a means for choosing delivery channels such as UDP,
multicast UDP and TCP, and provide a means for choosing delivery
mechanisms based upon RTP (RFC 3550).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-rfc2326bis-23.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 09 Mar 2010 10:10:00 +0100

Hi,

This update intends to take care of all the remaining open issues. We
have also done a consistency check of the spec. Thus the amount of
changes in this one is fairly large. The side by side diff:

http://tools.ietf.org/wg/mmusic/draft-ietf-mmusic-rfc2326bis/draft-ietf-mmusic-rfc2326bis-23-from-22.diff.html

Will show that the changes are from high to low. Editorial, naming,
change of header classifications, corrected or changed RFC 2119 language
levels, corrected examples and usage of the new test/example IP address
ranges, copying and adjusting more text from the HTTP spec, the
Conditional RAP policy for Seek-Style, proxy muxing, putting an upper
limit on a number of numerical values, updated the changes section.

I am sorry that it has taken this long to get to this stage. But I think
the document is ready for a second WG last call. It is now your turn to
see if you think everything is in order or if we messed things up.

Cheers

Magnus

-- 

Magnus Westerlund

IETF Transport Area Director
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Jean-Francois Mule <[email-masked]>
Date: Fri, 26 Mar 2010 15:58:11 -0600

This is to initiate a 4-week Working Group Last Call of draft-ietf-mmusic-rfc2326bis-23.txt. 
The comment period will end Friday, April 23, 2010 at midnight US Pacific Time.
Please post all your comments to the list (spelling errors, minor suggested wording changes, technical issues, etc.). If you have read the document and believe it is good to go, please indicate so as well on the list.

The document is somewhat large and we have started to seek reviewers willing to take a one or more sections at a time.  If you would like to volunteer, please send your name and the chapters you are willing to review to the WG chairs. 

Jean-Francois
MMUSIC co-chair.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Magnus Westerlund
> Sent: Tuesday, March 09, 2010 2:10 AM
> To: mmusic (E-mail)
> Subject: Re: [MMUSIC] I-D Action:draft-ietf-mmusic-rfc2326bis-
> 23.txt
> 
> Hi,
>

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sat, 27 Mar 2010 04:25:05 +0100

Is this still being reviewed to be draft standard, or will this version continue to be proposed standard?

regards

Keith 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jean-Francois Mule
> Sent: Friday, March 26, 2010 9:58 PM
> To: mmusic (E-mail)
> Subject: [MMUSIC] WGLC on RTSP 2.0 - 
> draft-ietf-mmusic-rfc2326bis-23.txt
> 
> Please post all your comments to the list (spelling errors, 
> minor suggested wording changes, technical issues, etc.). If 
> you have read the document and believe it is good to go, 
> please indicate so as well on the list.
> 
> The document is somewhat large and we have started to seek 
> reviewers willing to take a one or more sections at a time.  
> If you would like to volunteer, please send your name and the 
> chapters you are willing to review to the WG chairs. 
> 
> Jean-Francois
> MMUSIC co-chair.
> 
> > change of header classifications, corrected or changed RFC 2119 
> > language levels, corrected examples and usage of the new 
> test/example 
> > IP address ranges, copying and adjusting more text from the 
> HTTP spec, 
> > the Conditional RAP policy for Seek-Style, proxy muxing, putting an 
> > upper limit on a number of numerical values, updated the changes 
> > section.
> > 
> > I am sorry that it has taken this long to get to this stage. But I 
> > think the document is ready for a second WG last call. It 
> is now your 
> > turn to see if you think everything is in order or if we 
> messed things 
> > up.
> > 
> > Cheers
> > 
> > Magnus
> > 
> > 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Wolfgang Beck <[email-masked]>
Date: Sat, 27 Mar 2010 07:36:21 -0700

Here's my first batch of remarks:

---

From: Jean-Francois Mule <[email-masked]>
Date: Sun, 28 Mar 2010 23:40:24 -0600

Keith wrote:
> Is this still being reviewed to be draft standard, or will this
> version continue to be proposed standard?

The MMUSIC charter and the RTSP 2.0 milestone in particular allow for either DRAFT or Proposed Standard.
I would very much like to hear from the authors and WG participants on what the WG should shoot for.  

My sense is that we should aim for Proposed Standard given the lack of RTSP 2.0 implementations but I could be wrong.

Jean-François

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 30 Mar 2010 11:08:50 +0200

Hi,

This must go to Proposed standard. There is quite a lot of new things in
here so that a draft standard is not possible.

Cheers

Magnus

-- 

Magnus Westerlund

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 30 Mar 2010 13:00:55 +0200

That is what I thought, but the last discussion I have recorded of status a considerable time ago said draft standard. 

All WGLC should indicated the current intentded status of the draft.

Keith

> [mailto:[email-masked]] On Behalf Of Magnus Westerlund
> Sent: Tuesday, March 30, 2010 10:09 AM
> To: [email-masked]
> Subject: Re: [MMUSIC] WGLC on RTSP 2.0 - 
> This must go to Proposed standard. There is quite a lot of 
> new things in here so that a draft standard is not possible.
> 
> Cheers
> 
> Magnus
> 
> > The MMUSIC charter and the RTSP 2.0 milestone in particular 
> allow for either DRAFT or Proposed Standard.
> > I would very much like to hear from the authors and WG 
> participants on what the WG should shoot for.  
> > 
> > My sense is that we should aim for Proposed Standard given 
> the lack of RTSP 2.0 implementations but I could be wrong.
> > 
> > Jean-François